Bug 133912 - rawhide-20040928 on power5 throws -- Unrecoverable FP Unavailable Exception 800 at d00000000003ad28
rawhide-20040928 on power5 throws -- Unrecoverable FP Unavailable Exception 8...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 10:01 EDT by James Laska
Modified: 2013-09-02 02:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 13:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-09-28 10:01:32 EDT
* TREE rawhide-20040928
* ARCH power5

anaconda installer init version 10.0.3.6 starting
mounting /proc filesystem... done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
anaconda installer init version 10.0.3.6 using /dev/hvc0 as console
could not set new controlling tty
trying to remount root filesystem read write... done
mounting /tmp as ramfs... done
running install...
running /sbin/loader
Unrecoverable FP Unavailable Exception 800 at d00000000003ad28
cpu 0x0: Vector: 800 (FPU Unavailable) at [c000000015897a90]
    pc: d00000000003ad28:
cramfs_uncompress_init+0x0/0xffffffffffffcbe0 [cramfs]
    lr: d0000000000371e8: __mod_vermagic5+0x6f40/0x7660 [cramfs]
    sp: c000000015897d10
   msr: 8000000000009032
  current = 0xc0000000025a0ab0
  paca    = 0xc000000000340000
    pid   = 222, comm = loader
enter ? for help

0:mon> S
msr  = 8000000000001032  sprg0= 0000000000000000
pvr  = 00000000003a0201  sprg1= c000000000340000
dec  = 000000001bf2b1ac  sprg2= c000000000340000
sp   = c000000015897340  sprg3= c000000000340000
toc  = c00000000044cb88  dar  = 0000000000000000
srr0 = c00000000002c14c  srr1 = 8000000000001032

0:mon> u
SLB contents of cpu 0
00 c000000008000000 00006a99b4b14580
01 d000000008000000 000008d12e6ab480
02 0000000000000000 0000000000000000
03 c000000010000000 000027766cb14580
04 c000000010000000 000027766cb14580
05 c000000010000000 000027766cb14580
06 c000000010000000 000027766cb14580
07 c000000010000000 000027766cb14580
08 e000000008000000 0000a708a8242480
09 0000000000000000 0000e3779b970c00
10 0000000010000000 0000dcc34709ec00
11 00000000f0000000 000030d55709ec00
12 0000000040000000 000013596f09ec00
13 0000000010000000 00007afac0c35c00
14 00000000f0000000 0000cf0cd0c35c00
15 0000000040000000 0000b190e8c35c00
16 0000000010000000 0000dcc34709ec00
17 00000000f0000000 000030d55709ec00
18 0000000040000000 000013596f09ec00
19 0000000018000000 000019323a7ccc00
20 00000000f8000000 00006d444a7ccc00
21 0000000048000000 00004fc8627ccc00
22 c000000018000000 000027766cb14580
23 0000000008000000 00005c55827ccc00
24 0000000000000000 0000000000000000
25 0000000000000000 0000000000000000

I have the machine running now ... if there is additional storage you
would like to see probed ... please let me know.
Comment 1 James Laska 2004-09-28 10:12:23 EDT
<jlaska> 0:mon> di d00000000003ad00.100
<jlaska> d00000000003ad00  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad04  00042d48      .long 0x42d48
<jlaska> d00000000003ad08  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad0c  0003720c      .long 0x3720c
<jlaska> d00000000003ad10  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad14  00042d48      .long 0x42d48
<jlaska> d00000000003ad18  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad1c  00036fbc      .long 0x36fbc
<jlaska> d00000000003ad20  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad24  00042d48      .long 0x42d48
<jlaska> d00000000003ad28  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad2c  000370c4      .long 0x370c4
<jlaska> d00000000003ad30  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad34  00042d48      .long 0x42d48
<jlaska> d00000000003ad38  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad3c  0003716c      .long 0x3716c
<jlaska> d00000000003ad40  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad44  00042d48      .long 0x42d48
<jlaska> d00000000003ad48  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad4c  00042b80      .long 0x42b80
<jlaska> d00000000003ad50  d0000000      stfs    f0,0(r0)
<jlaska> d00000000003ad54  00042c28      .long 0x42c28
<jlaska> d00000000003ad58  00000000      .long 0x0
Comment 2 James Laska 2004-09-28 10:22:18 EDT
backtrace info  ...

0:mon> t
[link register   ] d0000000000371e8 __mod_vermagic5+0x6f40/0x7660 [cramfs]
[c000000015897d10] 00000000101320a8 (unreliable)
[c000000015897d90] c00000000006db44 .sys_init_module+0x258/0x2368
[c000000015897e30] c000000000010100 syscall_exit+0x0/0x18
--- Exception: c01 (System Call) at 000000001008f870
SP (ffff5b10) is in userspace


Comment 3 Dave Jones 2006-03-06 12:42:27 EST
ye olde unloved bug.
A year and a half later, I would hope this has been resolved.
Happy to close this ?
Comment 4 James Laska 2006-03-06 13:20:26 EST
No longer happens when netbooting rawhide-20060304/ppc/images/netboot/ppc64.img

Note You need to log in before you can comment on or make changes to this bug.